Cocoon API: Class Tokenizer

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon
Class Tokenizer

    java.lang.Object
      |
      +--org.apache.cocoon.Tokenizer

All Implemented Interfaces:
  java.util.Enumeration

public class Tokenizer
extends java.lang.Object
implements java.util.Enumeration

Replacement for StringTokenizer in java.util, beacuse of bug in the Sun's implementation.

Author:
  Peter Moravek

Field Summary
`static java.lang.String` | `DEFAULT_DELIMITERS` Default delimiters "\t\n\r\f": the space character, the tab character, the newline character, the carriage-return character, and the form-feed character.

Constructor Summary
`Tokenizer(java.lang.String str)` Constructs a string tokenizer for the specified string.
`Tokenizer(java.lang.String str, char delim)` Constructs a string tokenizer for the specified string.
`Tokenizer(java.lang.String str, java.lang.String delim)` Constructs a string tokenizer for the specified string.
`Tokenizer(java.lang.String str, java.lang.String delim, boolean returnTokens)` Constructs a string tokenizer for the specified string.

Method Summary
`int` | `countTokens()` Calculates the number of times that this tokenizer's nextToken method can be called before it generates an exception.
`boolean` | `hasMoreElements()` Returns the same value as the hasMoreTokens method.
`boolean` | `hasMoreTokens()` Tests if there are more tokens available from this tokenizer's string.
`java.lang.Object` | `nextElement()` Returns the same value as the nextToken method, except that its declared return value is Object rather than String.
`java.lang.String` | `nextToken()` Returns the next token from this string tokenizer.
`java.lang.String` | `nextToken(java.lang.String delim)` Returns the next token in this string tokenizer's string.
`void` | `reset()` Resets this tokenizer's state so the tokenizing starts from the begin.
`static java.lang.String[]` | `tokenize(java.lang.String str, java.lang.String delim, boolean returnTokens)` Constructs a string tokenizer for the specified string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DELIMITERS

    public static final java.lang.String DEFAULT_DELIMITERS

  Default delimiters "\t\n\r\f": the space character, the tab character, the newline character, the carriage-return character, and the form-feed character.

Constructor Detail

### Tokenizer

    public Tokenizer(java.lang.String str,
                     java.lang.String delim,
                     boolean returnTokens)

  Constructs a string tokenizer for the specified string. All characters in the delim argument are the delimiters for separating tokens. If the returnTokens flag is true, then the delimiter characters are also returned as tokens. Each delimiter is returned as a string of length one. If the flag is false, the delimiter characters are skipped and only serve as separators between tokens.
  Parameters:
    `str` - a string to be parsed
    `delim` - the delimiters
    `returnTokens` - flag indicating whether to return the delimiters as tokens

### Tokenizer

    public Tokenizer(java.lang.String str,
                     java.lang.String delim)

  Constructs a string tokenizer for the specified string. The characters in the delim argument are the delimiters for separating tokens. Delimiter characters themselves will not be treated as tokens.
  Parameters:
    `str` - a string to be parsed
    `delim` - the delimiters

### Tokenizer

    public Tokenizer(java.lang.String str,
                     char delim)

  Constructs a string tokenizer for the specified string. The character in the delim argument is the delimiter for separating tokens. Delimiter character themselves will not be treated as token.
  Parameters:
    `str` - a string to be parsed
    `delim` - the delimiter

### Tokenizer

    public Tokenizer(java.lang.String str)

  Constructs a string tokenizer for the specified string. The tokenizer uses the default delimiter set, which is " \t\n\r\f": the space character, the tab character, the newline character, the carriage-return character, and the form-feed character. Delimiter characters themselves will not be treated as tokens.
  Parameters:
    `str` - a string to be parsed

Method Detail

### hasMoreTokens

    public boolean hasMoreTokens()

  Tests if there are more tokens available from this tokenizer's string. If this method returns true, then a subsequent call to nextToken with no argument will successfully return a token.
  Returns:
    true if and only if there is at least one token in the string after the current position; false otherwise.

### nextToken

    public java.lang.String nextToken()
                               throws java.util.NoSuchElementException

  Returns the next token from this string tokenizer.
  Returns:
    the next token from this string tokenizer
  Throws:
    `java.util.NoSuchElementException` - if there are no more tokens in this tokenizer's string

### nextToken

    public java.lang.String nextToken(java.lang.String delim)
                               throws java.util.NoSuchElementException

  Returns the next token in this string tokenizer's string. First, the set of characters considered to be delimiters by this Tokenizer object is changed to be the characters in the string delim. Then the next token in the string after the current position is returned. The current position is advanced beyond the recognized token. The new delimiter set remains the default after this call.
  Parameters:
    `delim` - the new delimiters
  Returns:
    the next token, after switching to the new delimiter set
  Throws:
    `java.util.NoSuchElementException` - if there are no more tokens in this tokenizer's string.

### hasMoreElements

    public boolean hasMoreElements()

  Returns the same value as the hasMoreTokens method. It exists so that this class can implement the Enumeration interface.
  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`
  Returns:
    true if there are more tokens; false otherwise.

### nextElement

    public java.lang.Object nextElement()

  Returns the same value as the nextToken method, except that its declared return value is Object rather than String. It exists so that this class can implement the Enumeration interface.
  Specified by:
    `nextElement` in interface `java.util.Enumeration`
  Returns:
    the next token in the string
  Throws:
    `java.util.NoSuchElementException` - if there are no more tokens in this tokenizer's string

### countTokens

    public int countTokens()

  Calculates the number of times that this tokenizer's nextToken method can be called before it generates an exception. The current position is not advanced.
  Returns:
    the number of tokens remaining in the string using the current delimiter set

### reset

    public void reset()

  Resets this tokenizer's state so the tokenizing starts from the begin.

### tokenize

    public static java.lang.String[] tokenize(java.lang.String str,
                                              java.lang.String delim,
                                              boolean returnTokens)

  Constructs a string tokenizer for the specified string. All characters in the delim argument are the delimiters for separating tokens. If the returnTokens flag is true, then the delimiter characters are also returned as tokens. Each delimiter is returned as a string of length one. If the flag is false, the delimiter characters are skipped and only serve as separators between tokens. Then tokenizes the str and return an String[] array with tokens.
  Parameters:
    `str` - a string to be parsed
    `delim` - the delimiters
    `returnTokens` - flag indicating whether to return the delimiters as tokens
  Returns:
    array with tokens

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.